Cyberduck Mountain Duck CLI

#3086 closed defect (thirdparty)

STAT read timeout with WFTPD Pro 3.20.1.2 Server

Reported by: dmyers@… Owned by: dkocher
Priority: high Milestone:
Component: ftp Version: 3.1.2
Severity: blocker Keywords: WFTPD
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I noticed this was posted before but closed with a older version of CyberDuck. I have the lastest version (as of 3/25/09) and can not connect to our WFTPD Pro 3.20.1.2 Server on the same network.

We have Fetch on the same computer with no problem.

it seems to hang and I get I/O Error: Listing Directory Failed / Read timed out

The CyberDuck log reports

220-Please be sure to Stuff or Zip your files prior to sending. This will insure smooth file transfer and lessen the chance for file curruption!!!
220 WFTPD 3.2 service (by Texas Imperial Software) ready for new user
USER westchesteru
331 Give me your password, please
PASS ********
230 Logged in successfully
PWD
257 "/" is current directory
NOOP
200 No operation completed successfully
SYST
215 WIN32 A N (WFTPD by Texas Imperial Software)
STAT /
213-status of /:

Change History (5)

comment:1 Changed on Mar 25, 2009 at 7:57:44 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Mar 25, 2009 at 7:58:33 PM by dkocher

  • Summary changed from CyberDuck Version 3.1.2 (4500) Problem with WFTPD Pro 3.20.1.2 Server to STAT read timeout with WFTPD Pro 3.20.1.2 Server

comment:3 in reply to: ↑ description Changed on Mar 25, 2009 at 7:59:59 PM by dkocher

Replying to dmyers@…:

Try to disable the use of STAT using

defaults write ch.sudo.cyberduck ftp.sendStatListCommand false

See the problem section in the wiki for details.

Last edited on Oct 28, 2010 at 11:58:14 AM by dkocher (previous) (diff)

comment:4 in reply to: ↑ description Changed on Mar 26, 2009 at 3:11:48 PM by dkocher

Replying to dmyers@…:

That worked like a charm! I even turned it back on to make sure. Of course I can't exactly tell a client this.... Any idea on a downloaded-able patch/copy. That way I can tell my client's which use Cyberduck to "make sure you download the latest version" (it my fav FTP client as well thou!)

Threre is no fix planed as it is essentially a server bug not responding anymore. If it does not want to implement the command it should return a 500 error response. You might want to file this bug to WFTPD.

comment:5 Changed on Nov 8, 2009 at 10:56:24 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software